%global project_name ipc
Name:           DFL-%{project_name}
Version:        0.2.0
Release:        1%{?dist}
Summary:        Two very simple classes for IPC, needed for dfl-applications
License:        GPL-3.0-only
URL:            https://gitlab.com/desktop-frameworks/%{project_name}

Source0:        %{url}/-/archive/v%{version}/%{project_name}-v%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Linguist)

%description
%{summary}.

%package -n %{name}-devel
Summary:  Development subpackage for %{name}
Requires: %{name}%{?dist} = %{version}

%description -n %{name}-devel
%{summary}.

%prep
%autosetup -p1 -n %{project_name}-v%{version}

%build
%meson -Duse_qt_version=qt6
%meson_build

%install
%meson_install

%check
%meson_test

%files
%doc README.md ReleaseNotes
%license LICENSE
%{_libdir}/libdf6ipc.so.0
%{_libdir}/libdf6ipc.so.%{version}

%files -n %{name}-devel
%{_includedir}/DFL/DF6/DFIpcClient.hpp
%{_includedir}/DFL/DF6/DFIpcServer.hpp
%{_libdir}/libdf6ipc.so
%{_libdir}/pkgconfig/df6ipc.pc

%changelog
* Tue Apr 23 2024 Steve Cossette <farchord@gmail.com> - 0.2.0-1
- Initital release
